﻿@using SportsClub.Areas.Dashboard.Models
@model SubsidyStep2ViewModel
@{
    Layout = null;
}
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action"  ui-sref='Subsidies'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Subsidy information
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
        <div>
            <label class="req-star" for="@Html.Ang(m => m.Name)">Agency name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Name)" ng-model="@Html.Ang(m => m.Name)" @Html.AngTooltipValidationFor(model => model.Name) />
            </div>
        </div>
        <div class="clearfix"></div>
        <label class="req-star">State</label>
        <div class="input-control select" data-role="input-control">
            <select ng-model="@Html.Ang(m => m.SelectedState)"
                    name="selectedState" 
                    id="SelectState"
                    ng-options="obj.Value as obj.Text for obj in Model.States"></select>
        </div>
        <div class="clearfix"></div>
            <label for="@Html.Ang(m => m.WebSite)">Website</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.WebSite)>
                <input type="text" id="btn_website" ng-model="@Html.Ang(m => m.WebSite)" @Html.AngTooltipValidationFor(model => model.WebSite) />
            </div>
        <div class="clearfix"></div>
        <br />
        <fieldset>
            <legend>Contact information</legend>
            <label for="@Html.Ang(m => m.FirstName)">First name</label>
            <div class="input-control text" data-role="input-control">
                <input type="text" autocomplete="off"  class="k-textbox" id="@Html.Ang(m => m.FirstName)" ng-model="@Html.Ang(m => m.FirstName)"/>
            </div>
            <div class="clearfix"></div>
            <label for="@Html.Ang(m => m.LastName)">Last name</label>
            <div class="input-control text" data-role="input-control" >
                <input type="text" autocomplete="off"  class="k-textbox" id="@Html.Ang(m => m.LastName)" ng-model="@Html.Ang(m => m.LastName)"/>
            </div>
            <div class="clearfix"></div>
                <label for="@Html.Ang(m => m.Email)">Email</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Email)" ng-model="@Html.Ang(m => m.Email)" @Html.AngTooltipValidationFor(model => model.Email) />
                </div>
            <div class="clearfix"></div>
                <label for="@Html.Ang(m => m.Phone)">Phone</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Phone)>
                    <input type="text"  placeholder="e.g. 555-666-7777" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Phone)" ng-model="@Html.Ang(m => m.Phone)" @Html.AngTooltipValidationFor(model => model.Phone) />
                </div>
            <div class="clearfix"></div>
        </fieldset>
        
        <fieldset>
            <legend>Additional Information</legend>

            <label for="@Html.Ang(m => m.Instructions)">Instructions</label>
            <div class="input-control text" data-role="input-control">
                <input type="text" id="btn_website" ng-model="@Html.Ang(m => m.Instructions)"/>
            </div>
        </fieldset>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button type="submit" id="btn_save" class="success large place-right button" ng-click="save()">Submit</button>
    <div class="clearfix"></div>
</div>
